rm(list = ls())
par(mfrow=c(1 ,1)) 
par(mar=c(2.5,2.5,0.2,0))
par(family="serif")
par(bty = 'n')

DATA<-read.table("table_ext.txt", header=T)

error.bar <- function(x, y, upper, lower=upper, length=0.1,...)
{
  if(length(x) != length(y) | length(y) !=length(lower) | length(lower) != length(upper))
    stop("vectors must be same length")
  arrows(x,y+upper, x, y-lower, angle=90, code=3, length=length, ...)
} 


DS<-subset(DATA, TYPE=="1")

DS2<-subset(DS, SUB=="NN")
NN<-mean(DS2$RESPONSE-0.5)
NN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="GN")
GN<-mean(DS2$RESPONSE-0.5)
GN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="TN")
TN<-mean(DS2$RESPONSE-0.5)
TN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="CLEFT_NP1")
CL1<-mean(DS2$RESPONSE-0.5)
CL1.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="CLEFT_NP2")
CL2<-mean(DS2$RESPONSE-0.5)
CL2.SD<-sd(DS2$RESPONSE-0.5)

MYMEAN<-c(NN, GN, TN, CL1, CL2)
MYSD<-c(NN.SD, GN.SD, TN.SD, CL1.SD, CL2.SD)

BAR<-barplot(MYMEAN, ylim=c(-0.53, 0.53), 
             names=c("NN", "GN", "TN", "CL1", "CL2"), axes = FALSE, cex.names=2)
error.bar(BAR, MYMEAN, 1.96*MYSD/10) 
text(BAR, ifelse(MYMEAN > 0, 0.075, 0), labels=paste(round(MYMEAN+0.5,4)*100, "%", sep=""), pos=1, cex=2)
axis(2, at = c(-0.5, -0.25, 0, 0.25, 0.5), labels = c(0, 0.25, 0.5, 0.75, 1.0), cex.axis=2)
abline(h=0)

boxplot(DS$TIME[DS$SUB=="NN"], 
        DS$TIME[DS$SUB=="GN"], 
        DS$TIME[DS$SUB=="TN"], 
        DS$TIME[DS$SUB=="CLEFT_NP1"], 
        DS$TIME[DS$SUB=="CLEFT_NP2"], 
        ylim=c(0,9000), notch=T, 
        names=c("NN", "GN", "TN", "CL1", "CL2"),
        cex.axis=2)



DS<-subset(DATA, TYPE=="2")

DS2<-subset(DS, SUB=="NN")
NN<-mean(DS2$RESPONSE-0.5)
NN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="GN")
GN<-mean(DS2$RESPONSE-0.5)
GN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="LN")
LN<-mean(DS2$RESPONSE-0.5)
LN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="TN")
TN<-mean(DS2$RESPONSE-0.5)
TN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="CLEFT_NP1")
CL1<-mean(DS2$RESPONSE-0.5)
CL1.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="CLEFT_NP2")
CL2<-mean(DS2$RESPONSE-0.5)
CL2.SD<-sd(DS2$RESPONSE-0.5)

MYMEAN<-c(NN, GN, LN, TN, CL1, CL2)
MYSD<-c(NN.SD, GN.SD, LN.SD, TN.SD, CL1.SD, CL2.SD)

BAR<-barplot(MYMEAN, ylim=c(-0.53, 0.53), 
             names=c("NN", "GN", "LN", "TN", "CL1", "CL2"), axes = FALSE, cex.names=2)
error.bar(BAR, MYMEAN, 1.96*MYSD/10) 
text(BAR, ifelse(MYMEAN > 0, 0.075, 0), labels=paste(round(MYMEAN+0.5,4)*100, "%", sep=""), pos=1, cex=2)
axis(2, at = c(-0.5, -0.25, 0, 0.25, 0.5), labels = c(0, 0.25, 0.5, 0.75, 1.0), cex.axis=2)
abline(h=0)

boxplot(DS$TIME[DS$SUB=="NN"], 
        DS$TIME[DS$SUB=="GN"], 
        DS$TIME[DS$SUB=="LN"], 
        DS$TIME[DS$SUB=="TN"], 
        DS$TIME[DS$SUB=="CLEFT_NP1"], 
        DS$TIME[DS$SUB=="CLEFT_NP2"], 
        ylim=c(0,9000), notch=T, 
        names=c("NN", "GN", "LN", "TN", "CL1", "CL2"),
        cex.axis=2)


DS<-subset(DATA, TYPE=="3_1")

DS2<-subset(DS, SUB=="NN")
NN<-mean(DS2$RESPONSE-0.5)
NN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="GN")
GN<-mean(DS2$RESPONSE-0.5)
GN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="LN")
LN<-mean(DS2$RESPONSE-0.5)
LN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="TN")
TN<-mean(DS2$RESPONSE-0.5)
TN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="CLEFT_NP1")
CL1<-mean(DS2$RESPONSE-0.5)
CL1.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="CLEFT_NP2")
CL2<-mean(DS2$RESPONSE-0.5)
CL2.SD<-sd(DS2$RESPONSE-0.5)

MYMEAN<-c(NN, GN, LN, TN, CL1, CL2)
MYSD<-c(NN.SD, GN.SD, LN.SD, TN.SD, CL1.SD, CL2.SD)

BAR<-barplot(MYMEAN, ylim=c(-0.53, 0.53), 
             names=c("NN", "GN", "LN", "TN", "CL1", "CL2"), axes = FALSE, cex.names=2)
error.bar(BAR, MYMEAN, 1.96*MYSD/10) 
text(BAR, ifelse(MYMEAN > 0, 0.075, 0), labels=paste(round(MYMEAN+0.5,4)*100, "%", sep=""), pos=1, cex=2)
axis(2, at = c(-0.5, -0.25, 0, 0.25, 0.5), labels = c(0, 0.25, 0.5, 0.75, 1.0), cex.axis=2)
abline(h=0)

boxplot(DS$TIME[DS$SUB=="NN"], 
        DS$TIME[DS$SUB=="GN"], 
        DS$TIME[DS$SUB=="LN"], 
        DS$TIME[DS$SUB=="TN"], 
        DS$TIME[DS$SUB=="CLEFT_NP1"], 
        DS$TIME[DS$SUB=="CLEFT_NP2"], 
        ylim=c(0,9000), notch=T, 
        names=c("NN", "GN", "LN", "TN", "CL1", "CL2"),
        cex.axis=2)

DS<-subset(DATA, TYPE=="3_2")

DS2<-subset(DS, SUB=="NN")
NN<-mean(DS2$RESPONSE-0.5)
NN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="LN")
LN<-mean(DS2$RESPONSE-0.5)
LN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="TN")
TN<-mean(DS2$RESPONSE-0.5)
TN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="CLEFT_NP1")
CL1<-mean(DS2$RESPONSE-0.5)
CL1.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="CLEFT_NP2")
CL2<-mean(DS2$RESPONSE-0.5)
CL2.SD<-sd(DS2$RESPONSE-0.5)

MYMEAN<-c(NN, LN, TN, CL1, CL2)
MYSD<-c(NN.SD, LN.SD, TN.SD, CL1.SD, CL2.SD)

BAR<-barplot(MYMEAN, ylim=c(-0.53, 0.53), 
             names=c("NN", "LN", "TN", "CL1", "CL2"), axes = FALSE, cex.names=2)
error.bar(BAR, MYMEAN, 1.96*MYSD/10) 
text(BAR, ifelse(MYMEAN > 0, 0.075, 0), labels=paste(round(MYMEAN+0.5,4)*100, "%", sep=""), pos=1, cex=2)
axis(2, at = c(-0.5, -0.25, 0, 0.25, 0.5), labels = c(0, 0.25, 0.5, 0.75, 1.0), cex.axis=2)
abline(h=0)

boxplot(DS$TIME[DS$SUB=="NN"], 
        DS$TIME[DS$SUB=="LN"], 
        DS$TIME[DS$SUB=="TN"], 
        DS$TIME[DS$SUB=="CLEFT_NP1"], 
        DS$TIME[DS$SUB=="CLEFT_NP2"], 
        ylim=c(0,9000), notch=T, 
        names=c("NN", "LN", "TN", "CL1", "CL2"),
        cex.axis=2)


DS<-subset(DATA, TYPE=="4")

DS2<-subset(DS, SUB=="NN")
NN<-mean(DS2$RESPONSE-0.5)
NN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="GN")
GN<-mean(DS2$RESPONSE-0.5)
GN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="LN")
LN<-mean(DS2$RESPONSE-0.5)
LN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="TN")
TN<-mean(DS2$RESPONSE-0.5)
TN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="CLEFT_NP1")
CL1<-mean(DS2$RESPONSE-0.5)
CL1.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="CLEFT_NP2")
CL2<-mean(DS2$RESPONSE-0.5)
CL2.SD<-sd(DS2$RESPONSE-0.5)

MYMEAN<-c(NN, GN, LN, TN, CL1, CL2)
MYSD<-c(NN.SD, GN.SD, LN.SD, TN.SD, CL1.SD, CL2.SD)

BAR<-barplot(MYMEAN, ylim=c(-0.53, 0.53), 
             names=c("NN", "GN", "LN", "TN", "CL1", "CL2"), axes = FALSE, cex.names=2)
error.bar(BAR, MYMEAN, 1.96*MYSD/10) 
text(BAR, ifelse(MYMEAN > 0, 0.075, 0), labels=paste(round(MYMEAN+0.5,4)*100, "%", sep=""), pos=1, cex=2)
axis(2, at = c(-0.5, -0.25, 0, 0.25, 0.5), labels = c(0, 0.25, 0.5, 0.75, 1.0), cex.axis=2)
abline(h=0)

boxplot(DS$TIME[DS$SUB=="NN"], 
        DS$TIME[DS$SUB=="GN"], 
        DS$TIME[DS$SUB=="LN"], 
        DS$TIME[DS$SUB=="TN"], 
        DS$TIME[DS$SUB=="CLEFT_NP1"], 
        DS$TIME[DS$SUB=="CLEFT_NP2"], 
        ylim=c(0,9000), notch=T, 
        names=c("NN", "GN", "LN", "TN", "CL1", "CL2"),
        cex.axis=2)




DS<-subset(DATA, TYPE=="1|4")

DS2<-subset(DS, SUB=="NN")
NN<-mean(DS2$RESPONSE-0.5)
NN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="GN")
GN<-mean(DS2$RESPONSE-0.5)
GN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="LN")
LN<-mean(DS2$RESPONSE-0.5)
LN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="TN")
TN<-mean(DS2$RESPONSE-0.5)
TN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="CLEFT_NP1")
CL1<-mean(DS2$RESPONSE-0.5)
CL1.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="CLEFT_NP2")
CL2<-mean(DS2$RESPONSE-0.5)
CL2.SD<-sd(DS2$RESPONSE-0.5)

MYMEAN<-c(NN, GN, LN, TN, CL1, CL2)
MYSD<-c(NN.SD, GN.SD, LN.SD, TN.SD, CL1.SD, CL2.SD)

BAR<-barplot(MYMEAN, ylim=c(-0.53, 0.53), 
             names=c("NN", "GN", "LN", "TN", "CL1", "CL2"), axes = FALSE, cex.names=2)
error.bar(BAR, MYMEAN, 1.96*MYSD/10) 
text(BAR, ifelse(MYMEAN > 0, 0.075, 0), labels=paste(round(MYMEAN+0.5,4)*100, "%", sep=""), pos=1, cex=2)
axis(2, at = c(-0.5, -0.25, 0, 0.25, 0.5), labels = c(0, 0.25, 0.5, 0.75, 1.0), cex.axis=2)
abline(h=0)

boxplot(DS$TIME[DS$SUB=="NN"], 
        DS$TIME[DS$SUB=="GN"], 
        DS$TIME[DS$SUB=="LN"], 
        DS$TIME[DS$SUB=="TN"], 
        DS$TIME[DS$SUB=="CLEFT_NP1"], 
        DS$TIME[DS$SUB=="CLEFT_NP2"], 
        ylim=c(0,9000), notch=T, 
        names=c("NN", "GN", "LN", "TN", "CL1", "CL2"),
        cex.axis=2)


DS<-subset(DATA, TYPE=="5")

DS2<-subset(DS, SUB=="NN")
NN<-mean(DS2$RESPONSE-0.5)
NN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="TN")
TN<-mean(DS2$RESPONSE-0.5)
TN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="CLEFT_NP1")
CL1<-mean(DS2$RESPONSE-0.5)
CL1.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="CLEFT_NP2")
CL2<-mean(DS2$RESPONSE-0.5)
CL2.SD<-sd(DS2$RESPONSE-0.5)

MYMEAN<-c(NN, TN, CL1, CL2)
MYSD<-c(NN.SD, TN.SD, CL1.SD, CL2.SD)

BAR<-barplot(MYMEAN, ylim=c(-0.53, 0.53), 
             names=c("NN", "TN", "CL1", "CL2"), axes = FALSE, cex.names=2)
error.bar(BAR, MYMEAN, 1.96*MYSD/10) 
text(BAR, ifelse(MYMEAN > 0, 0.075, 0), labels=paste(round(MYMEAN+0.5,4)*100, "%", sep=""), pos=1, cex=2)
axis(2, at = c(-0.5, -0.25, 0, 0.25, 0.5), labels = c(0, 0.25, 0.5, 0.75, 1.0), cex.axis=2)
abline(h=0)

boxplot(DS$TIME[DS$SUB=="NN"], 
        DS$TIME[DS$SUB=="TN"], 
        DS$TIME[DS$SUB=="CLEFT_NP1"], 
        DS$TIME[DS$SUB=="CLEFT_NP2"], 
        ylim=c(0,9000), notch=T, 
        names=c("NN", "TN", "CL1", "CL2"),
        cex.axis=2)




DS<-subset(DATA, TYPE=="6")


DS2<-subset(DS, SUB=="NN")
NN<-mean(DS2$RESPONSE-0.5)
NN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="N-A")
TN<-mean(DS2$RESPONSE-0.5)
TN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="NE")
CL1<-mean(DS2$RESPONSE-0.5)
CL1.SD<-sd(DS2$RESPONSE-0.5)

MYMEAN<-c(NN, TN, CL1)
MYSD<-c(NN.SD, TN.SD, CL1.SD)

BAR<-barplot(MYMEAN, ylim=c(-0.53, 0.53), 
             names=c("NN", "NA", "NE"), axes = FALSE, cex.names=2)
error.bar(BAR, MYMEAN, 1.96*MYSD/10) 
text(BAR, ifelse(MYMEAN > 0, 0.075, 0), labels=paste(round(MYMEAN+0.5,4)*100, "%", sep=""), pos=1, cex=2)
axis(2, at = c(-0.5, -0.25, 0, 0.25, 0.5), labels = c(0, 0.25, 0.5, 0.75, 1.0), cex.axis=2)
abline(h=0)

boxplot(DS$TIME[DS$SUB=="NN"], 
        DS$TIME[DS$SUB=="N-A"], 
        DS$TIME[DS$SUB=="NE"], 
        ylim=c(0,9000), notch=T, 
        names=c("NN", "NA", "NE"),
        cex.axis=2)


DS<-subset(DATA, TYPE=="ACC_1")

DS2<-subset(DS, SUB=="AA")
NN<-mean(DS2$RESPONSE-0.5)
NN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="GA")
TN<-mean(DS2$RESPONSE-0.5)
TN.SD<-sd(DS2$RESPONSE-0.5)

MYMEAN<-c(NN, TN)
MYSD<-c(NN.SD, TN.SD)

BAR<-barplot(MYMEAN, ylim=c(-0.53, 0.53), 
             names=c("AA", "GA"), axes = FALSE, cex.names=2)
error.bar(BAR, MYMEAN, 1.96*MYSD/10) 
text(BAR, ifelse(MYMEAN > 0, 0.075, 0), labels=paste(round(MYMEAN+0.5,4)*100, "%", sep=""), pos=1, cex=2)
axis(2, at = c(-0.5, -0.25, 0, 0.25, 0.5), labels = c(0, 0.25, 0.5, 0.75, 1.0), cex.axis=2)
abline(h=0)

boxplot(DS$TIME[DS$SUB=="AA"], 
        DS$TIME[DS$SUB=="GA"], 
        ylim=c(0,9000), notch=T, 
        names=c("AA", "GA"),
        cex.axis=2)




DS<-subset(DATA, TYPE=="ACC_5")

DS2<-subset(DS, SUB=="AA")
NN<-mean(DS2$RESPONSE-0.5)
NN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="TA")
TN<-mean(DS2$RESPONSE-0.5)
TN.SD<-sd(DS2$RESPONSE-0.5)

MYMEAN<-c(NN, TN)
MYSD<-c(NN.SD, TN.SD)

BAR<-barplot(MYMEAN, ylim=c(-0.53, 0.53), 
             names=c("AA", "TA"), axes = FALSE, cex.names=2)
error.bar(BAR, MYMEAN, 1.96*MYSD/10) 
text(BAR, ifelse(MYMEAN > 0, 0.075, 0), labels=paste(round(MYMEAN+0.5,4)*100, "%", sep=""), pos=1, cex=2)
axis(2, at = c(-0.5, -0.25, 0, 0.25, 0.5), labels = c(0, 0.25, 0.5, 0.75, 1.0), cex.axis=2)
abline(h=0)

boxplot(DS$TIME[DS$SUB=="AA"], 
        DS$TIME[DS$SUB=="TA"], 
        ylim=c(0,9000), notch=T, 
        names=c("AA", "TA"),
        cex.axis=2)




DS<-subset(DATA, TYPE=="ACC_6")

DS2<-subset(DS, SUB=="AA")
NN<-mean(DS2$RESPONSE-0.5)
NN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, SUB=="AE")
TN<-mean(DS2$RESPONSE-0.5)
TN.SD<-sd(DS2$RESPONSE-0.5)

MYMEAN<-c(NN, TN)
MYSD<-c(NN.SD, TN.SD)

BAR<-barplot(MYMEAN, ylim=c(-0.53, 0.53), 
             names=c("AA", "AE"), axes = FALSE, cex.names=2)
error.bar(BAR, MYMEAN, 1.96*MYSD/10) 
text(BAR, ifelse(MYMEAN > 0, 0.075, 0), labels=paste(round(MYMEAN+0.5,4)*100, "%", sep=""), pos=1, cex=2)
axis(2, at = c(-0.5, -0.25, 0, 0.25, 0.5), labels = c(0, 0.25, 0.5, 0.75, 1.0), cex.axis=2)
abline(h=0)

boxplot(DS$TIME[DS$SUB=="AA"], 
        DS$TIME[DS$SUB=="AE"], 
        ylim=c(0,9000), notch=T, 
        names=c("AA", "AE"),
        cex.axis=2)



DS<-subset(DATA, SUB=="NN")

DS2<-subset(DS, TYPE=="1")
NN<-mean(DS2$RESPONSE-0.5)
NN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="2")
GN<-mean(DS2$RESPONSE-0.5)
GN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="3_1")
LN<-mean(DS2$RESPONSE-0.5)
LN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="3_2")
TN<-mean(DS2$RESPONSE-0.5)
TN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="4")
CL1<-mean(DS2$RESPONSE-0.5)
CL1.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="1|4")
CL2<-mean(DS2$RESPONSE-0.5)
CL2.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="5")
CL3<-mean(DS2$RESPONSE-0.5)
CL3.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="6")
CL4<-mean(DS2$RESPONSE-0.5)
CL4.SD<-sd(DS2$RESPONSE-0.5)


MYMEAN<-c(NN, GN, LN, TN, CL1, CL2, CL3, CL4)
MYSD<-c(NN.SD, GN.SD, LN.SD, TN.SD, CL1.SD, CL2.SD, CL3.SD, CL4.SD)

BAR<-barplot(MYMEAN, ylim=c(-0.53, 0.53), 
             names=c("1", "2", "3_1", "3_2", "4", "1|4", "5", "6"), axes = FALSE, cex.names=2)
error.bar(BAR, MYMEAN, 1.96*MYSD/10) 
text(BAR, ifelse(MYMEAN > 0, 0.075, 0), labels=paste(round(MYMEAN+0.5,4)*100, "%", sep=""), pos=1, cex=1.5)
axis(2, at = c(-0.5, -0.25, 0, 0.25, 0.5), labels = c(0, 0.25, 0.5, 0.75, 1.0), cex.axis=2)
abline(h=0)

boxplot(DS$TIME[DS$TYPE=="1"], 
        DS$TIME[DS$TYPE=="2"], 
        DS$TIME[DS$TYPE=="3_1"], 
        DS$TIME[DS$TYPE=="3_2"], 
        DS$TIME[DS$TYPE=="4"], 
        DS$TIME[DS$TYPE=="1|4"], 
        DS$TIME[DS$TYPE=="5"], 
        DS$TIME[DS$TYPE=="6"], 
        ylim=c(0,9000), notch=T, 
        names=c("1", "2", "3_1", "3_2", "4", "1|4", "5", "6"),
        cex.axis=2)




DS<-subset(DATA, SUB=="GN")

DS2<-subset(DS, TYPE=="1")
NN<-mean(DS2$RESPONSE-0.5)
NN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="2")
GN<-mean(DS2$RESPONSE-0.5)
GN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="3_1")
LN<-mean(DS2$RESPONSE-0.5)
LN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="4")
CL1<-mean(DS2$RESPONSE-0.5)
CL1.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="1|4")
CL2<-mean(DS2$RESPONSE-0.5)
CL2.SD<-sd(DS2$RESPONSE-0.5)

MYMEAN<-c(NN, GN, LN, CL1, CL2)
MYSD<-c(NN.SD, GN.SD, LN.SD, CL1.SD, CL2.SD)

BAR<-barplot(MYMEAN, ylim=c(-0.53, 0.53), 
             names=c("1", "2", "3_1", "4", "1|4"), axes = FALSE, cex.names=2)
error.bar(BAR, MYMEAN, 1.96*MYSD/10) 
text(BAR, ifelse(MYMEAN > 0, 0.075, 0), labels=paste(round(MYMEAN+0.5,4)*100, "%", sep=""), pos=1, cex=2)
axis(2, at = c(-0.5, -0.25, 0, 0.25, 0.5), labels = c(0, 0.25, 0.5, 0.75, 1.0), cex.axis=2)
abline(h=0)

boxplot(DS$TIME[DS$TYPE=="1"], 
        DS$TIME[DS$TYPE=="2"], 
        DS$TIME[DS$TYPE=="3_1"], 
        DS$TIME[DS$TYPE=="4"], 
        DS$TIME[DS$TYPE=="1|4"], 
        ylim=c(0,9000), notch=T, 
        names=c("1", "2", "3_1", "4", "1|4"),
        cex.axis=2)


DS<-subset(DATA, SUB=="LN")

DS2<-subset(DS, TYPE=="2")
GN<-mean(DS2$RESPONSE-0.5)
GN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="3_1")
LN<-mean(DS2$RESPONSE-0.5)
LN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="3_2")
TN<-mean(DS2$RESPONSE-0.5)
TN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="4")
CL1<-mean(DS2$RESPONSE-0.5)
CL1.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="1|4")
CL2<-mean(DS2$RESPONSE-0.5)
CL2.SD<-sd(DS2$RESPONSE-0.5)


MYMEAN<-c(GN, LN, TN, CL1, CL2)
MYSD<-c(GN.SD, LN.SD, TN.SD, CL1.SD, CL2.SD)

BAR<-barplot(MYMEAN, ylim=c(-0.53, 0.53), 
             names=c("2", "3_1", "3_2", "4", "1|4"), axes = FALSE, cex.names=2)
error.bar(BAR, MYMEAN, 1.96*MYSD/10) 
text(BAR, ifelse(MYMEAN > 0, 0.075, 0), labels=paste(round(MYMEAN+0.5,4)*100, "%", sep=""), pos=1, cex=2)
axis(2, at = c(-0.5, -0.25, 0, 0.25, 0.5), labels = c(0, 0.25, 0.5, 0.75, 1.0), cex.axis=2)
abline(h=0)

boxplot(DS$TIME[DS$TYPE=="2"], 
        DS$TIME[DS$TYPE=="3_1"], 
        DS$TIME[DS$TYPE=="3_2"], 
        DS$TIME[DS$TYPE=="4"], 
        DS$TIME[DS$TYPE=="1|4"], 
        ylim=c(0,9000), notch=T, 
        names=c("2", "3_1", "3_2", "4", "1|4"),
        cex.axis=2)




DS<-subset(DATA, SUB=="TN")

DS2<-subset(DS, TYPE=="1")
NN<-mean(DS2$RESPONSE-0.5)
NN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="2")
GN<-mean(DS2$RESPONSE-0.5)
GN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="3_1")
LN<-mean(DS2$RESPONSE-0.5)
LN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="3_2")
TN<-mean(DS2$RESPONSE-0.5)
TN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="4")
CL1<-mean(DS2$RESPONSE-0.5)
CL1.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="1|4")
CL2<-mean(DS2$RESPONSE-0.5)
CL2.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="5")
CL3<-mean(DS2$RESPONSE-0.5)
CL3.SD<-sd(DS2$RESPONSE-0.5)


MYMEAN<-c(NN, GN, LN, TN, CL1, CL2, CL3)
MYSD<-c(NN.SD, GN.SD, LN.SD, TN.SD, CL1.SD, CL2.SD, CL3.SD)

BAR<-barplot(MYMEAN, ylim=c(-0.53, 0.53), 
             names=c("1", "2", "3_1", "3_2", "4", "1|4", "5"), axes = FALSE, cex.names=2)
error.bar(BAR, MYMEAN, 1.96*MYSD/10) 
text(BAR, ifelse(MYMEAN > 0, 0.075, 0), labels=paste(round(MYMEAN+0.5,4)*100, "%", sep=""), pos=1, cex=1.5)
axis(2, at = c(-0.5, -0.25, 0, 0.25, 0.5), labels = c(0, 0.25, 0.5, 0.75, 1.0), cex.axis=2)
abline(h=0)

boxplot(DS$TIME[DS$TYPE=="1"], 
        DS$TIME[DS$TYPE=="2"], 
        DS$TIME[DS$TYPE=="3_1"], 
        DS$TIME[DS$TYPE=="3_2"], 
        DS$TIME[DS$TYPE=="4"], 
        DS$TIME[DS$TYPE=="1|4"], 
        DS$TIME[DS$TYPE=="5"], 
        ylim=c(0,9000), notch=T, 
        names=c("1", "2", "3_1", "3_2", "4", "1|4", "5"),
        cex.axis=2)


DS<-subset(DATA, SUB=="CLEFT_NP1")

DS2<-subset(DS, TYPE=="1")
NN<-mean(DS2$RESPONSE-0.5)
NN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="2")
GN<-mean(DS2$RESPONSE-0.5)
GN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="3_1")
LN<-mean(DS2$RESPONSE-0.5)
LN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="3_2")
TN<-mean(DS2$RESPONSE-0.5)
TN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="4")
CL1<-mean(DS2$RESPONSE-0.5)
CL1.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="1|4")
CL2<-mean(DS2$RESPONSE-0.5)
CL2.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="5")
CL3<-mean(DS2$RESPONSE-0.5)
CL3.SD<-sd(DS2$RESPONSE-0.5)


MYMEAN<-c(NN, GN, LN, TN, CL1, CL2, CL3)
MYSD<-c(NN.SD, GN.SD, LN.SD, TN.SD, CL1.SD, CL2.SD, CL3.SD)

BAR<-barplot(MYMEAN, ylim=c(-0.53, 0.53), 
             names=c("1", "2", "3_1", "3_2", "4", "1|4", "5"), axes = FALSE, cex.names=2)
error.bar(BAR, MYMEAN, 1.96*MYSD/10) 
text(BAR, ifelse(MYMEAN > 0, 0.075, 0), labels=paste(round(MYMEAN+0.5,4)*100, "%", sep=""), pos=1, cex=1.5)
axis(2, at = c(-0.5, -0.25, 0, 0.25, 0.5), labels = c(0, 0.25, 0.5, 0.75, 1.0), cex.axis=2)
abline(h=0)

boxplot(DS$TIME[DS$TYPE=="1"], 
        DS$TIME[DS$TYPE=="2"], 
        DS$TIME[DS$TYPE=="3_1"], 
        DS$TIME[DS$TYPE=="3_2"], 
        DS$TIME[DS$TYPE=="4"], 
        DS$TIME[DS$TYPE=="1|4"], 
        DS$TIME[DS$TYPE=="5"], 
        ylim=c(0,9000), notch=T, 
        names=c("1", "2", "3_1", "3_2", "4", "1|4", "5"),
        cex.axis=2)


DS<-subset(DATA, SUB=="CLEFT_NP2")

DS2<-subset(DS, TYPE=="1")
NN<-mean(DS2$RESPONSE-0.5)
NN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="2")
GN<-mean(DS2$RESPONSE-0.5)
GN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="3_1")
LN<-mean(DS2$RESPONSE-0.5)
LN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="3_2")
TN<-mean(DS2$RESPONSE-0.5)
TN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="4")
CL1<-mean(DS2$RESPONSE-0.5)
CL1.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="1|4")
CL2<-mean(DS2$RESPONSE-0.5)
CL2.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="5")
CL3<-mean(DS2$RESPONSE-0.5)
CL3.SD<-sd(DS2$RESPONSE-0.5)


MYMEAN<-c(NN, GN, LN, TN, CL1, CL2, CL3)
MYSD<-c(NN.SD, GN.SD, LN.SD, TN.SD, CL1.SD, CL2.SD, CL3.SD)

BAR<-barplot(MYMEAN, ylim=c(-0.53, 0.53), 
             names=c("1", "2", "3_1", "3_2", "4", "1|4", "5"), axes = FALSE, cex.names=2)
error.bar(BAR, MYMEAN, 1.96*MYSD/10) 
text(BAR, ifelse(MYMEAN > 0, 0.075, 0), labels=paste(round(MYMEAN+0.5,4)*100, "%", sep=""), pos=1, cex=1.5)
axis(2, at = c(-0.5, -0.25, 0, 0.25, 0.5), labels = c(0, 0.25, 0.5, 0.75, 1.0), cex.axis=2)
abline(h=0)

boxplot(DS$TIME[DS$TYPE=="1"], 
        DS$TIME[DS$TYPE=="2"], 
        DS$TIME[DS$TYPE=="3_1"], 
        DS$TIME[DS$TYPE=="3_2"], 
        DS$TIME[DS$TYPE=="4"], 
        DS$TIME[DS$TYPE=="1|4"], 
        DS$TIME[DS$TYPE=="5"], 
        ylim=c(0,9000), notch=T, 
        names=c("1", "2", "3_1", "3_2", "4", "1|4", "5"),
        cex.axis=2)


DS<-subset(DATA, SUB=="AA")

DS2<-subset(DS, TYPE=="ACC_1")
NN<-mean(DS2$RESPONSE-0.5)
NN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="ACC_5")
GN<-mean(DS2$RESPONSE-0.5)
GN.SD<-sd(DS2$RESPONSE-0.5)

DS2<-subset(DS, TYPE=="ACC_6")
LN<-mean(DS2$RESPONSE-0.5)
LN.SD<-sd(DS2$RESPONSE-0.5)


MYMEAN<-c(NN, GN, LN)
MYSD<-c(NN.SD, GN.SD, LN.SD)

BAR<-barplot(MYMEAN, ylim=c(-0.53, 0.53), 
             names=c("1", "5", "6"), axes = FALSE, cex.names=2)
error.bar(BAR, MYMEAN, 1.96*MYSD/10) 
text(BAR, ifelse(MYMEAN > 0, 0.075, 0), labels=paste(round(MYMEAN+0.5,4)*100, "%", sep=""), pos=1, cex=2)
axis(2, at = c(-0.5, -0.25, 0, 0.25, 0.5), labels = c(0, 0.25, 0.5, 0.75, 1.0), cex.axis=2)
abline(h=0)

boxplot(DS$TIME[DS$TYPE=="ACC_1"], 
        DS$TIME[DS$TYPE=="ACC_5"], 
        DS$TIME[DS$TYPE=="ACC_6"], 
        ylim=c(0,9000), notch=T, 
        names=c("1", "5", "6"),
        cex.axis=2)








